Package org.eclipse.emf.cdo.eresource.impl

# Class CDOTextResourceImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl
org.eclipse.emf.internal.cdo.CDOObjectImpl
org.eclipse.emf.cdo.eresource.impl.CDOResourceNodeImpl
org.eclipse.emf.cdo.eresource.impl.CDOResourceLeafImpl
org.eclipse.emf.cdo.eresource.impl.CDOFileResourceImpl<Reader>
org.eclipse.emf.cdo.eresource.impl.CDOTextResourceImpl

All Implemented Interfaces:
  `CDOObject`, `CDOWithID`, `CDOPackageTypeRegistry.CDOObjectMarker`, `CDOFileResource<Reader>`, `CDOResourceLeaf`, `CDOResourceNode`, `CDOTextResource`, `Notifier`, `EObject`, `EStructuralFeature.Internal.DynamicValueHolder`, `InternalEObject`, `InternalCDOLoadable`, `InternalCDOObject`, `org.eclipse.net4j.util.io.EncodingProvider`

public class CDOTextResourceImpl extends CDOFileResourceImpl<Reader> implements CDOTextResource
An implementation of the model object 'CDO Text Resource'.

Since:
  4.1
Generated
No Extend
  This class is not intended to be subclassed by clients.

  The following features are implemented:

  - `Contents`
  - `Encoding`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.cdo.eresource.CDOResourceNode

`ROOT_NAME, ROOT_PATH`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`CDOTextResourceImpl()`

## Method Summary

Modifier and Type
Method
Description
`protected EClass`
`eStaticClass()`
`CDOClob`
`getContents()`
`String`
`getEncoding()`
`void`
`setContents(CDOClob newContents)`
`void`
`setEncoding(String newEncoding)`

### Methods inherited from class org.eclipse.emf.cdo.eresource.impl.CDOFileResourceImpl

`delete, isRoot`

### Methods inherited from class org.eclipse.emf.cdo.eresource.impl.CDOResourceNodeImpl

`basicSetFolder, basicSetName, checkDuplicates, eGet, eSet, eStaticFeatureCount, getBasename, getExtension, getFolder, getName, getPath, getURI, recacheURIs, setBasename, setExtension, setFolder, setFolderGen, setName, setNameGen, setPath, toString, toString, trimExtension`

### Methods inherited from class org.eclipse.emf.internal.cdo.CDOObjectImpl

`cdoClassInfo, cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInternalDynamicFeature, cdoInternalInstance, cdoInternalPostAttach, cdoInternalPostDetach, cdoInternalPostDetach, cdoInternalPostInvalidate, cdoInternalPostLoad, cdoInternalPostRollback, cdoInternalPreAttach, cdoInternalPreCommit, cdoInternalPreLoad, cdoInternalSetID, cdoInternalSetResource, cdoInternalSetRevision, cdoInternalSetState, cdoInternalSetView, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption, createFeatureMap, createList, createLock, createMap, createOrderedList, createUnorderedList, dynamicGet, dynamicSet, dynamicUnset, eAdapterAdded, eAdapterRemoved, eAdapters, eBasicAdapterListeners, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainer, eBasicSetSettings, eBasicSettings, eClass, eContainerAdapterArray, eContainerFeatureID, eDirectResource, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicIsSet, eHasSettings, eInternalContainer, eInternalResource, eIsCaching, emfToString, equals, eSetClass, eSetDirectResource, eSetResource, eSettings, eStore, getLockState, hashCode, instanceToRevisionFeature, revisionToInstanceFeature`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl

`eBasicContainerFeatureID, eBasicInternalContainer, eDerivedStructuralFeatureID`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eContents, eCrossReferences, eDeliver, eIsProxy, eProperties, eProxyURI, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticOperationCount, eUnset, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoState, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.cdo.eresource.CDOResourceNode

`delete, getBasename, getExtension, getFolder, getName, getPath, getURI, isRoot, setBasename, setExtension, setFolder, setName, setPath, trimExtension`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eBaseStructuralFeatureID, eBasicRemoveFromContainer, eDerivedOperationID, eDerivedStructuralFeatureID, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eNotificationRequired, eObjectForURIFragmentSegment, eProxyURI, eResolveProxy, eSetProxyURI, eSetStore, eSetting, eUnset, eURIFragmentSegment`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Constructor Details

### CDOTextResourceImpl

protected CDOTextResourceImpl()

Generated

## Method Details

### eStaticClass

protected EClass eStaticClass()

Overrides:
  `eStaticClass` in class `CDOFileResourceImpl<Reader>`
Generated

### getContents

public CDOClob getContents()

Specified by:
  `getContents` in interface `CDOFileResource<Reader>`
Specified by:
  `getContents` in interface `CDOTextResource`
Specified by:
  `getContents` in class `CDOFileResourceImpl<Reader>`
Returns:
  the value of the 'Contents' attribute.
See Also:
  - `CDOTextResource.setContents(CDOClob)`
  - `EresourcePackage.getCDOTextResource_Contents()`
Generated

### setContents

public void setContents(CDOClob newContents)

Specified by:
  `setContents` in interface `CDOTextResource`
Parameters:
  `newContents` - the new value of the 'Contents' attribute.
See Also:
  - `CDOTextResource.getContents()`
Generated

### getEncoding

public String getEncoding()

Specified by:
  `getEncoding` in interface `CDOTextResource`
Specified by:
  `getEncoding` in interface `org.eclipse.net4j.util.io.EncodingProvider`
Returns:
  the value of the 'Encoding' attribute.
Since:
  4.2
See Also:
  - `CDOTextResource.setEncoding(String)`
  - `EresourcePackage.getCDOTextResource_Encoding()`
Generated

### setEncoding

public void setEncoding(String newEncoding)

Specified by:
  `setEncoding` in interface `CDOTextResource`
Parameters:
  `newEncoding` - the new value of the 'Encoding' attribute.
Since:
  4.2
See Also:
  - `CDOTextResource.getEncoding()`
Generated